/*******************************************************************************
 * LensFlareSource generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class LensFlareSource extends Actor
    native(LensFlare)
    placeable
    hidecategories(Navigation);

var() const editconst export editinline LensFlareComponent LensFlareComp;
var repnotify bool bCurrentlyActive;

replication
{
    // Pos:0x000
    if(bNoDelete)
        bCurrentlyActive
}

// Export ULensFlareSource::execSetTemplate(FFrame&, void* const)
native final function SetTemplate(LensFlare NewTemplate);

simulated event PostBeginPlay()
{
    bCurrentlyActive = LensFlareComp.bIsActive;
    //return;    
}

simulated function OnToggle(SeqAct_Toggle Action)
{
    // End:0x66
    if(Action.InputLinks[0].bHasImpulse)
    {
        LensFlareComp.SetIsActive(true);
        bCurrentlyActive = true;
    }
    // End:0x16E
    else
    {
        // End:0xCC
        if(Action.InputLinks[1].bHasImpulse)
        {
            LensFlareComp.SetIsActive(false);
            bCurrentlyActive = false;
        }
        // End:0x16E
        else
        {
            // End:0x16E
            if(Action.InputLinks[2].bHasImpulse)
            {
                // End:0x142
                if(!bCurrentlyActive)
                {
                    LensFlareComp.SetIsActive(true);
                    bCurrentlyActive = true;
                }
                // End:0x16E
                else
                {
                    LensFlareComp.SetIsActive(false);
                    bCurrentlyActive = false;
                }
            }
        }
    }
    LensFlareComp.LastRenderTime = WorldInfo.TimeSeconds;
    ForceNetRelevant();
    //return;    
}

simulated event ReplicatedEvent(name VarName)
{
    // End:0x7D
    if(VarName == 'bCurrentlyActive')
    {
        LensFlareComp.SetIsActive(bCurrentlyActive);
        LensFlareComp.LastRenderTime = WorldInfo.TimeSeconds;
    }
    //return;    
}

simulated function SetFloatParameter(name ParameterName, float Param)
{
    //return;    
}

simulated function SetVectorParameter(name ParameterName, Vector Param)
{
    //return;    
}

simulated function SetColorParameter(name ParameterName, LinearColor Param)
{
    //return;    
}

simulated function SetExtColorParameter(name ParameterName, float Red, float Green, float Blue, float Alpha)
{
    //return;    
}

simulated function SetActorParameter(name ParameterName, Actor Param)
{
    //return;    
}

defaultproperties
{
    begin object name=LensFlareComponent0 class=LensFlareComponent
        NextTraceTime=-0.26529740
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__LensFlareSource.LensFlareComponent0'
    LensFlareComp=LensFlareComponent0
    Components(0)=none
    Components(1)=none
    Components(2)=none
    Components(3)=none
    begin object name=LensFlareComponent0 class=LensFlareComponent
        NextTraceTime=-0.26529740
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__LensFlareSource.LensFlareComponent0'
    Components(4)=LensFlareComponent0
    Components(5)=none
    TickGroup=ETickingGroup.TG_DuringAsyncWork
    bNoDelete=true
    bHardAttach=true
    bGameRelevant=true
    bEdShouldSnap=true
}